Name:          libpaper
Epoch:         2
Version:       2.2.6
Release:       1mamba
Summary:       An open source viewer for Portable Document Format (PDF) files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rrthomas/libpaper
Source:        https://github.com/rrthomas/libpaper/releases/download/v%{version}/libpaper-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      paper-utils = %{?epoch:%epoch:}%{version}-%{release}

%description
The paper library and accompanying files are intended to provide a simple way for applications to take actions based on a system- or user-specified paper size.
This release is quite minimal, its purpose being to provide really basic functions (obtaining the system paper name and getting the height and width of a given kond of paper) that applications can immediately integrate.

%package  devel
Summary:       Devel files for %{libname} library
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The paper library and accompanying files are intended to provide a simple way for applications to take actions based on a system- or user-specified paper size.
This release is quite minimal, its purpose being to provide really basic functions (obtaining the system paper name and getting the height and width of a given kond of paper) that applications can immediately integrate.
This package contains static libraries and header files needed for development.

%package -n paper-utils
Summary:   Library for handling paper characteristics (development files)
Group:     Applications/Publishing

%description -n paper-utils
The paper library and accompanying files are intended to provide a simple way for applications to take actions based on a system- or user-specified paper size.
This release is quite minimal, its purpose being to provide really basic functions (obtaining the system paper name and getting the height and width of a given kond of paper) that applications can immediately integrate.
This package contains utilities provided with %{name}.


%prep
%setup -q
#./bootstrap --force

%build
# 210x297 (in mm) is A4 size. Use as default to be provided by locale.
#export CFLAGS+="%{optflags} -D_NL_PAPER_WIDTH=210 -D_NL_PAPER_HEIGHT=297"

%configure \
   --enable-relocatable \
   --enable-shared

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#for file in cs.po da.po de.po es.po fr.po gl.po hu.po it.po ja.po nl.po pt_BR.po ru.po sv.po tr.po uk.po vi.po; do
#    lang="$(basename $file .po)"
#    %{__install} -d -m0755 %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
#    msgfmt debian/po/$file -o %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/libpaper.mo;
#done

install -d %{buildroot}%{_sysconfdir}
#echo "a4" > %{buildroot}%{_sysconfdir}/papersize

#%find_lang %{name} --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun -p /sbin/ldconfig

%files
#-f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libpaper.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/paper.h
%{_libdir}/libpaper.a
%{_libdir}/libpaper.so
%doc ChangeLog README.md

%files -n paper-utils 
%defattr(-,root,root)
%config %{_sysconfdir}/paperspecs
%{_bindir}/paper
%{_bindir}/paperconf
%{_mandir}/man1/paper.1*
%{_mandir}/man5/paperspecs.5*
%dir %{_docdir}/libpaper
%{_docdir}/libpaper/*

%changelog
* Fri Jan 24 2025 Automatic Build System <autodist@openmamba.org> 2.2.6-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 2.2.5-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 2.2.4-1mamba
- automatic version update by autodist

* Mon Mar 11 2024 Automatic Build System <autodist@openmamba.org> 2.2.3-1mamba
- automatic version update by autodist

* Tue Jan 23 2024 Automatic Build System <autodist@openmamba.org> 2.1.3-1mamba
- automatic version update by autodist

* Mon Oct 16 2023 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sun Apr 16 2023 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Thu Apr 13 2023 Automatic Build System <autodist@mambasoft.it> 2.0.12-1mamba
- automatic version update by autodist

* Fri Feb 24 2023 Automatic Build System <autodist@mambasoft.it> 2.0.10-1mamba
- automatic version update by autodist

* Mon Feb 20 2023 Automatic Build System <autodist@mambasoft.it> 2.0.9-1mamba
- automatic version update by autodist

* Mon Feb 13 2023 Automatic Build System <autodist@mambasoft.it> 2.0.8-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 2.0.7-1mamba
- automatic version update by autodist

* Mon Feb 06 2023 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Fri Jan 27 2023 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Thu Nov 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.4-2mamba
- bump epoch

* Wed Nov 16 2022 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Sat Nov 05 2022 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Thu Oct 27 2022 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Fri Sep 16 2022 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Fri Aug 26 2022 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Sun Jul 17 2022 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Mon Jun 20 2022 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Sun May 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- rebuilt from release tarball (see https://github.com/rrthomas/libpaper/issues/20)
- bump epoch and send to devel-future because crashing with convert

* Mon May 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- update to 1.2.0

* Wed Jan 29 2020 Automatic Build System <autodist@mambasoft.it> 1.1.28-1mamba
- automatic version update by autodist

* Thu Jan 10 2019 Automatic Build System <autodist@mambasoft.it> 1.1.26-1mamba
- automatic update by autodist

* Sun Jun 20 2010 Automatic Build System <autodist@mambasoft.it> 1.1.24-1mamba
- automatic update by autodist

* Wed Jul 16 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.21-2mamba
- removed wrong library links (libpaper.1)

* Tue Jul 15 2008 gil <puntogil@libero.it> 1.1.21-1mamba
- update to 1.1.21

* Wed Oct 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.14-4qilnx
- specfile updates (foxis wronw path shown in man pages)
- man3 pages moved to devel package
- add missing configuration file needed by paperconf
- new package paper-utils

* Tue Oct 19 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.14-3qilnx
- add also *.so.* files for rpm provides to work

* Tue Oct 19 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.14-2qilnx
- added /usr/lib/libpaper because it is needed by kdegraphics 3.3.1

* Wed Apr 14 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.14-1qilnx
- new version rebuild
- added documentation

* Wed Feb 25 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.13-2qilnx
- added missing scriptlets

* Mon Jan 12 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.13-1qilnx
- first build
